gnutls_certificate_set_trust_list(3)

NAME
gnutls_certificate_set_trust_list - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_certificate_set_trust_list(gnutls_certificate_credentials_t res, gnutls_x509_trust_list_t tlist, unsigned flags);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t structure.

gnutls_x509_trust_list_t tlist
    is a gnutls_x509_trust_list_t structure

unsigned flags
    must be zero

DESCRIPTION
This function sets a trust list in the gnutls_certificate_credentials_t structure. Note that the tlist will become part of the credentials structure and must not be deallocated. It will be automatically deallocated when the res structure is deinitialized.

RETURNS
GNUTLS_E_SUCCESS (0) on success, or a negative error code.

SINCE
3.2.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/